> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Document

> Update Document



## OpenAPI

````yaml /openapi/openapi_content.json put /content/documentlists/{documentListName}/documents/{documentId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/documentlists/{documentListName}/documents/{documentId}:
    put:
      tags:
        - Documents
      summary: Update Document
      description: Update Document
      parameters:
        - description: DocumentListName name where the document resides
          in: path
          name: documentListName
          required: true
          schema:
            type: string
        - description: Id of the document to update
          in: path
          name: documentId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Document'
          application/octet-stream:
            schema:
              $ref: '#/components/schemas/Document'
          text/plain:
            schema:
              $ref: '#/components/schemas/Document'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document'
            text/json:
              schema:
                $ref: '#/components/schemas/Document'
            text/plain:
              schema:
                $ref: '#/components/schemas/Document'
          description: Success
components:
  schemas:
    Document:
      description: "Container for schema-enforced and schemaless data. A document is primarily used to store content (html, text,\r\nnumbers, dates, JSON, binary data) that is directly or indirectly used for the storefront website experience\r\nand may be addressed via the Hypr theming engine language. A document belongs to a documentList and has an\r\nunderlying documentType.  The documentType describes any required and optional schema. Additionally, a binary\r\nobject may be stored on the document's content subresource and edge cached via the Mozu CDN."
      properties:
        activeDateRange:
          $ref: '#/components/schemas/ContentActiveDateRange'
        contentLength:
          description: "The size of the content subresource in decimal number of OCTETs.\r\nWhen updating the content subresource, the  contentLength is captured from the\r\nContent-Length header, if present, or is otherwise computed from the total size of the http body."
          format: int64
          nullable: true
          type: integer
        contentMimeType:
          description: "The mime type of the document's binary content, provided via the Content-Type header when updating the content\r\nsubresource. If no value is provided then \"application/octet-stream\" is set by default."
          nullable: true
          type: string
        contentUpdateDate:
          description: "The date and time the most recent content update was made via the content subresource. UTC date/time.\r\nSystem-supplied and read-only."
          format: date-time
          nullable: true
          type: string
        documentTypeFQN:
          description: "The full name of the documentType that underlies this document.\r\nThis field must be supplied upon document creation and cannot be updated."
          nullable: true
          type: string
        extension:
          description: >-
            If applicable, the file extension associated with the document
            content.
          nullable: true
          type: string
        id:
          description: >-
            Read-only, system generated 32 digit alpha-numeric string that
            uniquely identifies the document.
          nullable: true
          type: string
        insertDate:
          description: >-
            The date and time the document was added to the documentList. This
            field is system-supplied and read-only.
          format: date-time
          nullable: true
          type: string
        listFQN:
          description: "The fully qualified name of the documentList to which the document belongs.\r\nThis field is read-only and represents which documentList the document is created in."
          nullable: true
          type: string
        name:
          description: "The fully qualified name of the document including path.\r\nUnique within the documentList. This field is a required field, but it can be updated."
          nullable: true
          type: string
        path:
          description: ReadOnly, path portion of the Name property.
          nullable: true
          type: string
        properties:
          description: "A JSON object of name/value pairs. Name parts are matched against the underlying documentType properties names. Any\r\nmatching name parts must have a value part that conforms to the matching property schema.\r\nAny non-matching name/value pairs are considered dynamic schema and may have a value part of valid JSON.\r\nThe properties field can be used for sorting/filtering and can be projected in the documents returned within a\r\ndocumentList view."
          nullable: true
        publishSetCode:
          description: The name of the publish set that this document belongs to, if any.
          nullable: true
          type: string
        publishState:
          description: "The current publish status of the document. If publishing is not supported or is currently disabled in the\r\ndocumentList then the value will be \"active\".\r\nIf publishing is supported and enabled, then the publish state may be \"draft\" or \"active\". A document may have both\r\nan \"active\" and \"draft\" version. The publishState\r\ndenotes which version of the document being interacted with. This field is read-only."
          nullable: true
          type: string
        updateDate:
          description: "The date and time the most recent document update was made. If publishing is enabled, then this value will\r\nrepresent\r\nthe last draft update if the publishState is draft, or the last publish date if the publishState is active."
          format: date-time
          nullable: true
          type: string
      type: object
    ContentActiveDateRange:
      properties:
        endDate:
          description: The end of the active date range for this document
          format: date-time
          nullable: true
          type: string
        startDate:
          description: The beginning of the active date range of this document
          format: date-time
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````